<?php

namespace App\controleur;
use App\gateway\ImageSaver;
use App\config\Validation;
use App\modele\AdminModele;

class AdminControleur extends ModerateurControleur
{
    protected function supprimerCompte()
    {
        //TODO
    }

    protected function consulterSignalement()
    {
        //TODO
    }

    public function creerEvenement()
    {
        global $twig;

        if (isset($_FILES["image"])) {
            $img = ImageSaver::SaveImage('image');

            if (!Validation::validerEvenement($_POST["titre"], $_POST["description"], $_POST["date"], $_POST["nbPlaceMax"], $img[1])) {
                $mdl = new AdminModele();
                $mdl->ajouterEvenement($_POST["titre"], $_POST["description"], $_POST["date"], $_POST["nbPlaceMax"], $img[1]);

                $this->listerEvenement();
            } else {
                $dVueErreur[] ="Erreur lors de la création de l'évènement";
                echo $twig->render("erreur.html",['dVueErreur' => $dVueErreur]);
            }
        } else {
            echo $twig->render('creerEvenement.html', []);
        }
    }

    public function supprimerEvenement(?array $params)
    {
        $mdl = new AdminModele();
        $mdl->deleteEvenement($params["id2"]);

        $this->listerEvenement();
    }

    protected function supprimerOffre()
    {
        //TODO
    }
}
